Subject: bug#60252: 29.0.60; help-fns--describe-function-or-command-prompt asks for confirmation

From: martin rudalics <[email-masked]>
Date: Fri, 23 Dec 2022 09:33:05 +0100

> I suggest
 >
 > (define-key minibuffer-local-must-match-map (kbd "RET") #'minibuffer-force-complete-and-exit)

Thanks, Gregory.  That would fix the use case I described but the cure
is much worse than the disease: Whenever I'd wanted to run some sort of
M-x foo I would get a pause, have the string [Sole Completion] appear in
the minibuffer and only then get foo executed.

Here I added the old specification to my changes to stash and am happily
done.  I would have preferred to see changes like this announced in NEWS
(or at least a short remark in the commit) so I would have spent less
time to find out what caused it, but if it's just a bug that had to be
fixed routinely, there's probably no need for that.

Thanks again, martin